Skip to main content
DELETE
Delete Custom Metric
Integration Prompt for AI Agents
This endpoint allows you to delete a custom metric from your agent. Provide the metric ID in the path to permanently remove the custom metric.

Headers

X-Organization-Id
string
X-API-Key
string
required

API key required to authenticate requests.

Path Parameters

metric_id
string<uuid>
required

Response

Successful Response

Represents a metric entry in the database.

name
string
required
response_type
enum<string>
required

Enum representing the possible response types for custom metrics.

Available options:
pass_fail,
yes_no,
qualitative,
quantitative,
json,
enum,
int,
float,
boolean,
tool_call
prompt
string | null
summary
string | null
metric_type
string
default:llm_judge
eval_method
string
default:llm_judge
settings
Settings · object
source
string
default:custom
eval_segment
string
default:all
scope
string
default:all
min_value
number | null
max_value
number | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
updated_by
string<uuid> | null
created_by
string<uuid> | null
id
string<uuid> | null

Unique identifier for the metric

category
string | null
tags
string[]
scoring_guidance
string | null
eval_modality
enum<string> | null
default:AUTO

Enum representing the evaluation route of a call.

Available options:
AUDIO,
TEXT,
AUTO
model
string | null
audio_model
string | null
temperature
number | null
enum_options
string[] | null
json_schema
Json Schema · object | null
organization_id
string<uuid> | null
workspace_id
string | null
allow_not_applicable
boolean
default:false
template_id
string<uuid> | null